<mat-card class="custom" id="create-post-content" style="max-height: 500px; max-width: 400px;">



    <div id="cambia-colore">

        <mat-tab-group>

            <mat-tab style="color: red;" label="Post">
    
                <mat-card>
    
    
                    <mat-card-header>
    
                        <h4>Titolo</h4>
    
                    </mat-card-header>
    
                    <div>
    
                        <div>
    
                            <textarea #commentInput placeholder="Type Message..."></textarea>
    
                        </div>
    
                        <div *ngIf= "selectedImageFile" id="post-preview">
                            <img id="post-preview-image"/>
                        </div>
    
                        <mat-card-actions align="end" class="mb-0 mt-2">
    
                            <button mat-button color="warn">
                                
                                <label for="photo-upload">
                                   
                                    
                                   
                                    <input #photoSelector (change)="onPhotoSelected(photoSelector)"
    
                                   
                                    #PhotoSelector (change)= "onPhotoSelected(photoSelector)"
                                   
    
                                        
                                    
                                    id="photo-upload"  type="file" />
    
                                    
                                    <mat-icon style="cursor: pointer;">insert_photo</mat-icon>
                                </label>
                            </button>
                            <button (click)="onPostClick(commentInput)" mat-flat-button color="warn">Post</button>
                        </mat-card-actions>
    
                    </div>
    
    
                </mat-card>
    
            </mat-tab>
    
            <mat-tab class="inverse" label="Inserzione">
    
                <div id="inserzione-content" >
    
                    <input #registerEmail placeholder="E-mail" type="email">
                    <input #registerPassword placeholder="Password" type="password">
                    <input #registerConfirmPassword placeholder="Conferma Password" type="password">
                    <input #registerPassword placeholder="Password" type="password">
                    <input #registerConfirmPassword placeholder="Conferma Password" type="password">
                    <input #registerPassword placeholder="Password" type="password">
                    <input #registerConfirmPassword placeholder="Conferma Password" type="password">
                    <input #registerPassword placeholder="Password" type="password">
                    <input #registerConfirmPassword placeholder="Conferma Password" type="password">
                    <button class="ml-0" style="width: 100%;" mat-flat-button color="warn">Crea</button>
    
                </div>
    
               
    
            </mat-tab>
    
        </mat-tab-group>

    </div>

   











</mat-card>